# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

Name:		kdenetwork
Summary:	K Desktop Environment - Network Applications
Version:	2.2.2
Release:	22mdk
Epoch:		1
Group:          Graphical desktop/KDE
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:            http://www.kde.org/

Source:		%name-%version.tar.bz2
Source1:	kppp.pamd
Patch0:		kmail_default_color.diff.bz2
Patch1:		kdenetwork-2.2-kmailcvt.diff.bz2
Patch2:		knode-default-color.diff.bz2
Patch3:		kdenetwork-2.2.2-fix-kmail-default-sender-server.patch.bz2
Patch4:		kdenetwork-2.2.2-kmail-fix-disable-enable-empty-item-menu.patch.bz2
Patch5:		kdenetwork-2.2.2-fix-update-message-button.patch.bz2
Patch6:		kdenetwork-2.2.2-fix-kmail-enable-disable-attach-action.patch.bz2
Patch7:		kdenetwork-2.2.2-enable-disable-ok-button-when-item-is-selected.patch.bz2
# Laurent - 2.2.2-12mdk - fix kcmnewsticker : disable remove button when we apply Default button => clear list
Patch8:		kdenetwork-2.2.2-fix-kcm-newssticker.patch.bz2
# Laurent - 2.2.2-14mdk - fix ksirc disable connect button when server name is empty, patch commited in kde 2.2.2 patch
Patch9:		kdenetwork-2.2.2-fix-ksirc-disable-connect-button-when-servername-is-empty.patch.bz2
# Laurent - 2.2.2-14mdk - fix ksirc invokeHtml -> invokeHelp, patch commited in 2.2.2 branch
Patch10:	kdenetwork-2.2.2-fix-ksirc-use-invohtml-function.patch.bz2

# Laurent - 2.2.2-15mdk - fix korn crash when we don't specify type of mailbox, patch commited in 2.2.2 branch
Patch11:	kdenetwork-2.2.2-fix-crash-in-korn.patch.bz2

# Laurent - 2.2.2-16mdk - korn use kurlrequester patch commited in kde 2.2.2 branch
Patch12:	kdenetwork-2.2.2-fix-korn-used-kurlrequester.patch.bz2

# Laurent - 2.2.2-17mdk - fix korn config dialogbox
Patch13:	kdenetwork-2.2.2-fix-korn-config.patch.bz2

# Laurent - 2.2.2-18mdk - fix knode disable "choose file" when filenanme is emptty, patch commited in kde 2.2.2 branch
Patch14:	kdenetwork-2.2.2-fix-knode.patch.bz2

# Laurent - 2.2.2-19mdk - fix kmail mem leak, patch commited in kde 2.2.2
Patch15:	kdenetwork-2.2.2-fix-kmail-mem-leak.patch.bz2

# Laurent - 2.2.2-19mdk - fix kmail mem leak
Patch16:	kdenetwork-2.2.2-fix-kmail-mem-leak2.patch.bz2

# Laurent - 2.2.2-21mdk - fix kmail disable ok button when identity name is empty, patch commited in kde 22.2. branch
Patch17:	kdenetwork-2.2.2-fix-kmail-disable-ok-button-when-identity-name-is-empty.patch.bz2

# Laurent - 2.2.2-21mdk - fix libkdenetwork mem leak
Patch18:	kdenetwork-2.2.2-fix-libkdenetwork-mem-leak.patch.bz2

#  Laurent - 2.2.2-22mdk - fix mem leak in kmail
Patch19:	kdenetwork-2.2.2-fix-kmail-mem-leak4.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
# Dadou - 2.1-1mdk - For kppp
Requires:	ppp

%if %buildfor7_2
BuildRequires:	gcc-c++
%endif

%if %buildfor8_0
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts libarts2-devel
BuildRequires:  autoconf automake db1-devel diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel libbinutils2-devel libbzip2_1-devel libjpeg62-devel
BuildRequires:	libmng1-devel libpng2-devel libqt2-devel libtermcap-devel m4 mktemp openssl-devel
BuildRequires:	pam-devel popt-devel qt2-static-libraries readline-devel rpm-build texinfo zlib1-devel
%endif

%if %buildfor8_1
BuildRequires:	Mesa-common-devel XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils freetype2-devel gawk gcc-c++ gcc-cpp gettext kdelibs
BuildRequires:	kdelibs-devel >= 2.2  kdelibs-static-devel >= 2.2 libbinutils2-devel libbzip2_1-devel libintl1
BuildRequires:	libjpeg62 libjpeg62-devel libmng1-devel libpng2-devel libqt2 libqt2-devel
BuildRequires:	libqt2-static-devel libtermcap2-devel m4 mktemp popt-devel readline-devel
BuildRequires:	rpm-build texinfo zlib1-devel 
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf2.5
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel
BuildRequires:	libbinutils2 libbzip2_1-devel libintl1 libjpeg62-devel
BuildRequires:	liblcms1 libmng1-devel libpng3-devel libqt2-devel
BuildRequires:	libstdc++2.10 libtermcap2 m4 mktemp perl perl-MDK-Common
BuildRequires:	popt rpm-build texinfo zlib1-devel
%endif

Obsoletes:  	kdict
Provides:	kdict

%if %buildfor8_2
Obsoletes:	kdenetwork-static-devel
%endif

PreReq: 	kdebase >= 2.2.1

%description
Networking applications for the K Desktop Environment.


%package devel
Summary:	Header files for kdenetwork
%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release

%description devel
Header files for kdenetwork.


%package static-devel
Summary:	Static libraries for kdenetwork
Group:		Development/KDE and Qt
PreReq:		%name-devel = %version-%release

%description static-devel
Static libraries for kdenetwork.


%prep

%setup -q

%if %buildfor8_1 || %buildfor8_2
%patch0 -p1
%patch2 -p1
%endif
%patch1 -p1
# Laurent -2.2.2-7mdk - fix default sender server when config is empty
%patch3 -p1
# Laurent - 2.2.2-7mdk - fix disable/enable "Empty item" in kmail
%patch4 -p1
# Laurent - 2.2.2-9mdk - Fix message button when we delete all message into a folder
# patch commited in kde_2_2_branch
%patch5 -p1
# Laurent - 2.2.2-10mdk - Fix enable/disable attach action menu - patch no commited in kde 2.2.2 (a big change)
%patch6 -p1
# Laurent - 2.2.2-11mdk - Fix enable/disable ok but in addressbook dialogbox - patch no commited in 2.2.2 (big change and not perfect)
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
export QTDIR="%_libdir/qt2"
export KDEDIR="%_prefix"

export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
	            --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
		    --disable-rpath
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
		    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --with-xinerama \
		    --disable-mt \
		    --disable-rpath
%endif

%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --enable-debug \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
		    --disable-objprelink \
		    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif


%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

install -d %buildroot/%_sysconfdir/pam.d/
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork "Networking/Instant messaging" %buildroot/%_datadir/applnk/Internet/kit.desktop %buildroot/%_menudir/kdenetwork-kit
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail %buildroot/%_datadir/applnk/Internet/KMail.desktop %buildroot/%_menudir/kdenetwork-kmail
kdedesktop2mdkmenu.pl kdenetwork Networking/News %buildroot/%_datadir/applnk/Internet/KNode.desktop %buildroot/%_menudir/kdenetwork-knode
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail %buildroot/%_datadir/applnk/Internet/KOrn.desktop %buildroot/%_menudir/kdenetwork-korn kde
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/Kppp.desktop %buildroot/%_menudir/kdenetwork-kppp
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/kppplogview.desktop %buildroot/%_menudir/kdenetwork-kppplogview
kdedesktop2mdkmenu.pl kdenetwork Networking/IRC %buildroot/%_datadir/applnk/Internet/ksirc.desktop %buildroot/%_menudir/kdenetwork-ksirc kde 

# %%_datadir/applnk/Settings/Network/
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmktalkd.desktop %buildroot/%_menudir/kdenetwork-kcmktalkd kde
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork-knewsticker kde
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop %buildroot/%_menudir/kdenetwork-lanbrowser kde

# %%_datadir/applnk/Personalization/
#kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Personalization %buildroot/%_datadir/applnk/Settings/Personalization/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork-kcmnewsticker-perso kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdenetwork "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/kdict.desktop %buildroot/%_menudir/kdenetwork-kdict
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail %buildroot/%_datadir/applnk/Utilities/kmailcvt.desktop %buildroot/%_menudir/kdenetwork-kmailcvt


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
%dir %_docdir/HTML/en/kit/
%doc %_docdir/HTML/en/kit/common
%doc %_docdir/HTML/en/kit/*.docbook
%doc %_docdir/HTML/en/kit/*.bz2
#
%dir %_docdir/HTML/en/kmail/
%doc %_docdir/HTML/en/kmail/common
%doc %_docdir/HTML/en/kmail/*.docbook
%doc %_docdir/HTML/en/kmail/*.bz2
#
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.png
%doc %_docdir/HTML/en/knewsticker/*.bz2
#
%dir %_docdir/HTML/en/knode/
%doc %_docdir/HTML/en/knode/common
%doc %_docdir/HTML/en/knode/*.docbook
%doc %_docdir/HTML/en/knode/*.png
%doc %_docdir/HTML/en/knode/*.po
%doc %_docdir/HTML/en/knode/*.bz2
#
%dir %_docdir/HTML/en/korn/
%doc %_docdir/HTML/en/korn/common
%doc %_docdir/HTML/en/korn/*.docbook
%doc %_docdir/HTML/en/korn/*.bz2
#
%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
%doc %_docdir/HTML/en/kppp/*.bz2
#
%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.bz2
#
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.bz2
#
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/common
%doc %_docdir/HTML/en/kdict/*.docbook
%doc %_docdir/HTML/en/kdict/*.png
%doc %_docdir/HTML/en/kdict/*.bz2
#
%doc %_docdir/HTML/en/lisa/common
%doc %_docdir/HTML/en/lisa/*.bz2
%doc %_docdir/HTML/en/lisa/*.docbook
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde2/
%_libdir/kde2/*.la
%_libdir/kde2/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/.hidden/
%dir %_datadir/applnk/.hidden/knewstickerstub.desktop
#
#
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Personalization/
%_datadir/applnk/Settings/Personalization/*.desktop
#
%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kmailcvt.desktop
%_datadir/applnk/Utilities/kdict.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/kdictui.rc
#
%dir %_datadir/apps/kdict/icons/
%dir %_datadir/apps/kdict/icons/hicolor/
%dir %_datadir/apps/kdict/icons/hicolor/16x16/
%dir %_datadir/apps/kdict/icons/hicolor/16x16/actions/
%_datadir/apps/kdict/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/kdict/icons/hicolor/22x22/
%dir %_datadir/apps/kdict/icons/hicolor/22x22/actions/
%_datadir/apps/kdict/icons/hicolor/22x22/actions/*.png
%dir %_datadir/apps/kdict/icons/hicolor/32x32/
%dir %_datadir/apps/kdict/icons/hicolor/32x32/actions/
%_datadir/apps/kdict/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kit/
%_datadir/apps/kit/eventsrc
#
%dir %_datadir/apps/kit/icons/
%dir %_datadir/apps/kit/icons/hicolor/
%dir %_datadir/apps/kit/icons/hicolor/16x16/
%dir %_datadir/apps/kit/icons/hicolor/16x16/actions/
%_datadir/apps/kit/icons/hicolor/16x16/actions/*.png
#
#
%dir %_datadir/apps/kmail/
%_datadir/apps/kmail/*.rc
#
%dir %_datadir/apps/kmail/about/
%_datadir/apps/kmail/about/*.css
%_datadir/apps/kmail/about/*.html
%_datadir/apps/kmail/about/*.png
#
%dir %_datadir/apps/kmail/pics/
%_datadir/apps/kmail/pics/*.png
%_datadir/apps/kmail/pics/*.xbm
%_datadir/apps/kmail/pics/*.xpm
#
#
%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
#
#
%dir %_datadir/apps/knode/
%_datadir/apps/knode/*.rc
%dir %_datadir/apps/knode/filters/
%_datadir/apps/knode/filters/*.fltr
%_datadir/apps/knode/filters/*.rc
#
%dir %_datadir/apps/knode/icons/
%dir %_datadir/apps/knode/icons/hicolor/
%dir %_datadir/apps/knode/icons/hicolor/16x16/
%dir %_datadir/apps/knode/icons/hicolor/16x16/actions/
%_datadir/apps/knode/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/22x22/
%dir %_datadir/apps/knode/icons/hicolor/22x22/actions/
%_datadir/apps/knode/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/32x32/
%dir %_datadir/apps/knode/icons/hicolor/32x32/actions/
%_datadir/apps/knode/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/knode/pics/
%_datadir/apps/knode/pics/*.png
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/dirtree/
%dir %_datadir/apps/konqueror/dirtree/remote/
%_datadir/apps/konqueror/dirtree/remote/*.desktop
#
#
%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Czech_Republic/
%_datadir/apps/kppp/Provider/Czech_Republic/.directory
%_datadir/apps/kppp/Provider/Czech_Republic/AICOM
%_datadir/apps/kppp/Provider/Czech_Republic/BohemiaNet  
%_datadir/apps/kppp/Provider/Czech_Republic/ES-servis       
%_datadir/apps/kppp/Provider/Czech_Republic/HP-NET           
%_datadir/apps/kppp/Provider/Czech_Republic/KPNQuest  
%_datadir/apps/kppp/Provider/Czech_Republic/SeverNET
%_datadir/apps/kppp/Provider/Czech_Republic/ARsystem  
%_datadir/apps/kppp/Provider/Czech_Republic/Brailcom    
%_datadir/apps/kppp/Provider/Czech_Republic/Econnect        
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine  
%_datadir/apps/kppp/Provider/Czech_Republic/M-soft    
%_datadir/apps/kppp/Provider/Czech_Republic/Video_OnLine
%_datadir/apps/kppp/Provider/Czech_Republic/ASYS      
%_datadir/apps/kppp/Provider/Czech_Republic/CITYNET     
%_datadir/apps/kppp/Provider/Czech_Republic/Falco_computer  
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNEXT        
%_datadir/apps/kppp/Provider/Czech_Republic/Nextra    
%_datadir/apps/kppp/Provider/Czech_Republic/Volny
%_datadir/apps/kppp/Provider/Czech_Republic/ApexNet   
%_datadir/apps/kppp/Provider/Czech_Republic/Contactel   
%_datadir/apps/kppp/Provider/Czech_Republic/Fortech         
%_datadir/apps/kppp/Provider/Czech_Republic/IQNET            
%_datadir/apps/kppp/Provider/Czech_Republic/ProfiNet
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/.directory
%_datadir/apps/kppp/Provider/Netherlands/12Move
%_datadir/apps/kppp/Provider/Netherlands/Cistron
%_datadir/apps/kppp/Provider/Netherlands/Concepts%032ICT
%_datadir/apps/kppp/Provider/Netherlands/Cybercomm
%_datadir/apps/kppp/Provider/Netherlands/Dataweb
%_datadir/apps/kppp/Provider/Netherlands/Daxis%032Internet
%_datadir/apps/kppp/Provider/Netherlands/Freeler
%_datadir/apps/kppp/Provider/Netherlands/HetNet
%_datadir/apps/kppp/Provider/Netherlands/IAE
%_datadir/apps/kppp/Provider/Netherlands/Internet%032Acces%032Facilities
%_datadir/apps/kppp/Provider/Netherlands/InterNLnet%032met%0323-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/InterNLnet%032met%0324-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/Interstroom
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032Hengelo%032e.o.
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0323-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0324-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/Kabelfoon
%_datadir/apps/kppp/Provider/Netherlands/Popin
%_datadir/apps/kppp/Provider/Netherlands/Solcon
%_datadir/apps/kppp/Provider/Netherlands/Sonera%032Plaza
%_datadir/apps/kppp/Provider/Netherlands/TIP
%_datadir/apps/kppp/Provider/Netherlands/Trefpunt%032Acces
%_datadir/apps/kppp/Provider/Netherlands/Wish
%_datadir/apps/kppp/Provider/Netherlands/Zonnet
#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/Tiscali
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666
%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
%_datadir/apps/kppp/Provider/Yugoslavia/041Net
%_datadir/apps/kppp/Provider/Yugoslavia/041Net.rst
%_datadir/apps/kppp/Provider/Yugoslavia/9819
%_datadir/apps/kppp/Provider/Yugoslavia/9819.rst
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetBeograd
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetCacak
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Full
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Lite
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNis
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetPristina
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSombor
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSubotica
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona1.rst
%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona2.rst
%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona3.rst
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
#
#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst
#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Finland/
%_datadir/apps/kppp/Rules/Finland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Macedonia/
%_datadir/apps/kppp/Rules/Macedonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
%dir %_datadir/apps/kppp/Rules/Russia/
%_datadir/apps/kppp/Rules/Russia/*.rst
%_datadir/apps/kppp/Rules/Russia/*.ru
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst
#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst
#
%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Turkey/
%_datadir/apps/kppp/Rules/Turkey/*.rst
#
%dir %_datadir/apps/kppp/Rules/United_Kingdom/
%_datadir/apps/kppp/Rules/United_Kingdom/*.rst
#
%dir %_datadir/apps/kppp/Rules/Uruguay/
%_datadir/apps/kppp/Rules/Uruguay/*.rst
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png
#
#
%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.pm
%_datadir/apps/ksirc/*.txt
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
#
#
%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl
#
#
%dir %_datadir/config/
%_datadir/config/ksircrc
%_datadir/config/ktalkdrc
#
#
#
%dir %_datadir/icons/hicolor/
%dir %_datadir/icons/hicolor/16x16/
%dir %_datadir/icons/hicolor/16x16/apps/
%_datadir/icons/hicolor/16x16/apps/*.png
#
#
%dir %_datadir/icons/hicolor/32x32/
%dir %_datadir/icons/hicolor/32x32/apps/
%_datadir/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/icons/hicolor/48x48/
%dir %_datadir/icons/hicolor/48x48/apps/
%_datadir/icons/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/services/
%_datadir/services/*.protocol
%_datadir/services/*.desktop
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav



%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_includedir/mimelib/*.h



%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a
#
#
%dir %_libdir/kde2/
%_libdir/kde2/*.a
%endif



%changelog
* Thu Mar 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-22mdk
- Add patch19 : fix mem leak in kmail

* Thu Mar 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-21mdk
- Add patch17 : fix kmail disable ok button in identity name dialogbox when name is empty
- Add patch18 : fix mem leak in libkdenetwork

* Tue Mar 05 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-20mdk
- Fix a typo in BuildRequires

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-19mdk
- Add patch15 : fix mem leak in kmail
- Add patch16 : fix other mem leak in kmail

* Thu Feb 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-18mdk
- Add patch14 : fix knode disable 'choose bouton'

* Fri Feb 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-17mdk
- Add Patch13 : fix korn config dialogbox

* Wed Feb 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-16mdk
- Patch12 : use kurlrequester in korn

* Wed Feb 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-15mdk
- Patch11 : fix korn crash when we don't specify mailbox type

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-14mdk
- Add patch9 : disable connect button when server name is empty
- Add patch10 : invokeHtml -> invokeHelp (fix warning)

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-13mdk
- Fix patch8

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-12mdk
- Add patch8 :  fix kcmnewsticker : disable remove button when we apply Default button => clear list

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-11mdk
- Add patch7 : disable/enable ok button in addressbook dialogbox

* Sat Jan 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-10mdk
- Add patch6 : fix a bug in kmail (enable/disable attach menu action)

* Fri Jan 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-9mdk
- Add patch5 : Disable all message button when we delete all message in a folder

* Thu Jan 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-8mdk
- Rebuild

* Mon Jan 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-7mdk
- Add patch3 : Fix bug in kmail -> configure
- Add patch4 : Fix enable/disable "Empty" item in kmail

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Obsoletes: kdenetwork-static-devel only on 8.2

* Sun Jan 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Obsolete kdenetwork-static-devel

* Thu Dec 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Don't put make -f Makefile.cvs in %%setup
- Fix Group: on all supported distributions
- Fix ./configure on all supported distributions
- Disable debug on all supported distributions
- 8.2: don't build static libraries

* Fri Dec 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-3mdk
- made rpmlint happy

* Mon Dec 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Sun Nov 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Thu Oct 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Tue Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Fix menu entry (ksirc kde only)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-13mdk
- Rebuild

* Thu Sep 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-12mdk
- Update from KDE_2_2_BRANCH

* Mon Sep 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-11mdk
- Add requires kdebase

* Sat Sep 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-10mdk
- Patch2 : knode default color

* Wed Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-9mdk
- Rebuild

* Tue Aug 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-8mdk
- Fix menu entry

* Thu Aug 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-7mdk
- Update code from KDE_2_2_BRANCH (fix for kmail)

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-6mdk
- Rebuild with xinerama

* Mon Aug 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-5mdk 
- Fix kmailcvt entry menu

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-4mdk
- Fix generated menu (previous fix was bad)

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix generated menu

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Mon Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.beta1.4mdk
- Add patch : kmail_default_color.diff.bz2

* Tue Jul 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.beta1.3mdk
- Add missing files

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.2mdk
- Add missing entries in Mandrake Menu
- Add BuildRequires for 8.1

* Fri Jun 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Thu Jun 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Thu May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde 2.2alpha2

* Tue Apr 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1-1mdk
- kde2.2alpha1

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-5mdk
- Kmail: don't emptry on exit by default
- Clean BuildRequires for non ix86 architectures

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-4mdk
- Rebuild against Qt 2.3.0
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.1-3mdk
- removed BuildRequires for libreadline4

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add BuildRequires
- Make kppp SUID

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-20010220.1mdk
- Enable --disable-debug

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up
- Remove IMAP support for KMail (it's not stable and it will not be added until
  KDE Team says it's OK

* Fri Jan  5 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010105.1mdk
- add imap support for kmail

* Wed Jan  3 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010103.1mdk
- updated code
- cleanups  

* Sun Dec 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001203.1mdk
- Updated source code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Updated source code

* Wed Nov 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.1-0.1mdk
- Updated source code

* Sun Nov 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10.1mdk
- Updated source code

* Sat Nov 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10mdk
- Updated source code

* Fri Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.3mdk
- Updated source code

* Thu Nov 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.2mdk
- Updated source code

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.1mdk
- Updated source code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- Build for MandrakeUpdate on 7.2

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- This version works for gcc 2.96.
- This version includes updates from the KDE pre2.1 CVS.

* Thu Nov 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Updated code

* Thu Nov 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Updated code

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Updated to gcc 2.96 (Second try)

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Updated to gcc 2.96

* Wed Oct 25 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Make non relocatable
- Fix Requires
- Macros
- Don't %%clean_menus & %%update_menus in %%postun
- Fix %%files
- Fix dangling symlink
- Spec clean up

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated to KDE 2.0 release code

* Tue Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated because of new qt2.2.1 and kdelibs

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code snapshot

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code snapshot

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code snapshot
- SOURCE1 needs to be installed in INSTALL section rather than build section

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code snapshot

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-8mdk
- Silly me forgot to install the pamd files.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-7mdk
- Pam support for Kppp.

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code snapshot

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code snapshot

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code snapshot

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code snapshot

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code snapshot
- chmod u+s /usr/bin/kppp per Jean-loup

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code snapshot

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Fixed menu entry

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code snapshot

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshot

* Mon Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshot

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshot

* Wed Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshot
- Changed menus to use the auto menu translation tool

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshot

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshot
- Added devel package
- fixed some menu errors
- fixed some rpmlint errors

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-14mdk
- Updated code snapshot

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-13mdk
- Updated code snapshot

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-12mdk
- Updated code snapshot

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-8mdk
- Updated code snapshot

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-7mdk
- Updated code snapshot
- Removed automatic file list generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-6mdk
- Updated code snapshot

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-4mdk
- Updated code snapshot

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-2mdk
- Updated code snapshot

* Sat Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-1mdk
- Updated code snapshot

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000728mdk
- Updated code snapshot

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000726mdk
- Updated code snapshot

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000721mdk
- Updated code snapshot

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000719mdk
- Updated code snapshot

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- Moved to /usr
- Changed package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Udpated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled doc compiling

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot

* Mon Jun 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code to more recent version

* Fri May 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000519mdk
- Updated code to solve kmail crashing at startup problem.

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake
- Updated code and spec files to recent snapshot
